clang 8.0.0

Functions
clang::tooling::fixit::internal Namespace Reference

## Functions
StringRef | getText (SourceRange Range, const ASTContext &Context)
SourceRange | getSourceRange (const SourceRange &Range)
| Returns the SourceRange of a SourceRange. More...
SourceRange | getSourceRange (const SourceLocation &Loc)
| Returns the SourceRange of the token at Location `Loc`. More...
template<typename T >
SourceRange | getSourceRange (const T &Node)
| Returns the SourceRange of an given Node. More...

## Function Documentation

## ◆ getSourceRange() [1/3]

SourceRange clang::tooling::fixit::internal::getSourceRange | ( | const SourceRange & | Range | ) |
| inline

Returns the SourceRange of a SourceRange.

This identity function is used by the following template abstractions.

Definition at line 34 of file FixIt.h.

Referenced by clang::tooling::fixit::createRemoval(), clang::tooling::fixit::createReplacement(), DiagnoseBitwisePrecedence(), clang::NestedNameSpecifierLoc::getBeginLoc(), clang::UnresolvedUsingValueDecl::getEllipsisLoc(), clang::NestedNameSpecifierLoc::getEndLoc(), clang::ImportDecl::getImportedModule(), clang::TagDecl::getInnerLocStart(), clang::TypeOfExprTypeLoc::getLocalSourceRange(), clang::TemplateArgumentLoc::getLocation(), clang::CXXCtorInitializer::getMemberLocation(), clang::ast_type_traits::DynTypedNode::getMemoizationData(), clang::NestedNameSpecifierLoc::getOpaqueData(), clang::FieldDecl::getParent(), clang::ObjCMethodCall::getSelector(), clang::Stmt::getStmtClass(), clang::BlockDecl::setBlockMangling(), clang::EnumConstantDecl::setInitVal(), clang::DeclaratorDecl::setInnerLocStart(), and clang::FunctionDecl::setRangeEnd().

## ◆ getSourceRange() [2/3]

SourceRange clang::tooling::fixit::internal::getSourceRange | ( | const SourceLocation & | Loc | ) |
| inline

Returns the SourceRange of the token at Location `Loc`.

Definition at line 37 of file FixIt.h.

## ◆ getSourceRange() [3/3]

template<typename T >

SourceRange clang::tooling::fixit::internal::getSourceRange | ( | const T & | Node | ) |

Returns the SourceRange of an given Node.

`Node` is typically a 'Stmt', 'Expr' or a 'Decl'.

Definition at line 43 of file FixIt.h.

## ◆ getText()

StringRef clang::tooling::fixit::internal::getText | ( | SourceRange | Range,
|  | const ASTContext & | Context
| ) |  |

Definition at line 22 of file FixIt.cpp.